> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Product Categories

> Returns a list of Product Categories.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/products/categories
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/products/categories:
    get:
      tags:
        - Product
      summary: List Product Categories
      description: Returns a list of Product Categories.
      operationId: listProductCategories
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: fuga
        - name: filter[slugs]
          in: query
          description: Filter by product category slugs (comma-separated)
          schema:
            type: string
            description: Filter by product category slugs (comma-separated)
            example: feature,default
          example: feature,default
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: a13651d4-960e-4916-9874-c910c74f7b16
                        slug:
                          type: string
                          example: neque-rem-voluptates-voluptatibus-praesentium
                        enabled:
                          type: boolean
                          example: true
                        is_cart_enabled:
                          type: boolean
                          example: true
                        is_stock_enabled:
                          type: boolean
                          example: true
                    example:
                      - uuid: a13651d4-960e-4916-9874-c910c74f7b16
                        slug: neque-rem-voluptates-voluptatibus-praesentium
                        enabled: true
                        is_cart_enabled: true
                        is_stock_enabled: true
                      - uuid: a13651d4-9756-45bb-86ed-4052fb0e2fe8
                        slug: itaque-totam-voluptates-occaecati-autem-eum
                        enabled: true
                        is_cart_enabled: true
                        is_stock_enabled: true
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: a13651d4-960e-4916-9874-c910c74f7b16
                      slug: neque-rem-voluptates-voluptatibus-praesentium
                      enabled: true
                      is_cart_enabled: true
                      is_stock_enabled: true
                    - uuid: a13651d4-9756-45bb-86ed-4052fb0e2fe8
                      slug: itaque-totam-voluptates-occaecati-autem-eum
                      enabled: true
                      is_cart_enabled: true
                      is_stock_enabled: true
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: a13651d4-960e-4916-9874-c910c74f7b16
                    slug: neque-rem-voluptates-voluptatibus-praesentium
                    enabled: true
                    is_cart_enabled: true
                    is_stock_enabled: true
                  - uuid: a13651d4-9756-45bb-86ed-4052fb0e2fe8
                    slug: itaque-totam-voluptates-occaecati-autem-eum
                    enabled: true
                    is_cart_enabled: true
                    is_stock_enabled: true
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````